Name:           xcftools
Version:        1.0.7 
Release:        2%{?dist}
Summary:        Command-line tools for extracting information from XCF files

Group:          Applications/Multimedia
License:        Public Domain
URL:            http://henning.makholm.net/software
Source0:        http://henning.makholm.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext libpng-devel

%description
Xcftools is a set of fast command-line tools for extracting information from
the Gimp's native file format XCF. The tools are designed to allow efficient
use of layered XCF files as sources in a build system that use 'make' and
similar tools to manage automatic processing of the graphics. 
These tools work independently of the Gimp engine and do not require 
the Gimp to even be installed. 

%prep
%setup -q
# To avoid strip before install (that will generate an empty debuginfo)
sed -i -e '/strip=/d' Makefile.in

%build
%configure
make %{?_smp_mflags}
cd manpo
# Convert to utf-8
for file in xcf2png.da.1 xcf2pnm.da.1 xcfinfo.da.1 xcfview.da.1 ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1/
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/xcf*
%{_mandir}/man?/xcf*.1.gz
%{_mandir}/da/man?/xcf*.1.gz


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 1.0.7-1
- Initital build
